org.fourthline.cling.support.model

## Enum Protocol

- java.lang.Object
- - java.lang.Enum<Protocol>
  - - org.fourthline.cling.support.model.Protocol

- All Implemented Interfaces:
    Serializable, Comparable<Protocol>

      public enum Protocol
      extends Enum<Protocol>

  Author:
    Christian Bauer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `HTTP_GET`
    `IEC61883`
    `INTERNAL`
    `OTHER`
    `RTSP_RTP_UDP`
    `XBMC_GET`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static Protocol` | `value(String s)`
    `static Protocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final Protocol ALL

    - #### HTTP_GET

          public static final Protocol HTTP_GET

    - #### RTSP_RTP_UDP

          public static final Protocol RTSP_RTP_UDP

    - #### INTERNAL

          public static final Protocol INTERNAL

    - #### IEC61883

          public static final Protocol IEC61883

    - #### XBMC_GET

          public static final Protocol XBMC_GET

    - #### OTHER

          public static final Protocol OTHER

  - ### Method Detail

    - #### values

          public static Protocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Protocol c : Protocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Protocol valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Protocol>`

    - #### value

          public static Protocol value(String s)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.